Bug 1263073 - undefined method `strip' for nil:NilClass [ops/ap_edit] while creating vm analysis profile by selecting a category [NEEDINFO]
undefined method `strip' for nil:NilClass [ops/ap_edit] while creating vm ana...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.3.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Dávid Halász
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 02:00 EDT by Aziza Karol
Modified: 2016-02-09 12:43 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:30:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cfme-bot: needinfo?


Attachments (Terms of Use)
err (49.88 KB, image/png)
2015-09-15 02:00 EDT, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-09-15 02:00:34 EDT
Created attachment 1073495 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.4.2

How reproducible:
100%

Steps to Reproduce:
1.Navigate to  configure->configuration->Analysis Profiles
2.Add VM analysis profile by entering the name and selecting a category
3.

Actual results:
undefined method `strip' for nil:NilClass [ops/ap_edit]  displayed in UI. see attached screenshot

Expected results:


Additional info:
production.log:
[----] I, [2015-09-15T01:56:01.459455 #2499:fe9ea8]  INFO -- : Processing by OpsController#ap_form_field_changed as JS
[----] I, [2015-09-15T01:56:01.459539 #2499:fe9ea8]  INFO -- :   Parameters: {"check_services"=>"Services", "item_type"=>"category", "id"=>"new"}
[----] I, [2015-09-15T01:56:01.493419 #2499:fe9ea8]  INFO -- : Completed 200 OK in 33.7ms (Views: 0.6ms | ActiveRecord: 1.5ms)
[----] I, [2015-09-15T01:56:04.142429 #2499:fe9ea8]  INFO -- : Started POST "/ops/ap_edit?button=add" for 127.0.0.1 at 2015-09-15 01:56:04 -0400
[----] I, [2015-09-15T01:56:04.151682 #2499:fe9ea8]  INFO -- : Processing by OpsController#ap_edit as JS
[----] I, [2015-09-15T01:56:04.151812 #2499:fe9ea8]  INFO -- :   Parameters: {"button"=>"add"}
[----] F, [2015-09-15T01:56:04.185144 #2499:fe9ea8] FATAL -- : Error caught: [NoMethodError] undefined method `strip' for nil:NilClass
/var/www/miq/vmdb/app/controllers/ops_controller/settings/analysis_profiles.rb:480:in `ap_set_record_vars_set'
/var/www/miq/vmdb/app/controllers/ops_controller/settings/analysis_profiles.rb:250:in `ap_edit'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/base.rb:167:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/callbacks.rb:18:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:568:in `_run__598059913244076699__process_action__228704900814742466__callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/callbacks.rb:17:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications.rb:123:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/notifications.rb:123:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/base.rb:121:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/abstract_controller/rendering.rb:45:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal.rb:203:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_controller/metal.rb:246:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:73:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:36:in `call'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'
/opt/rh/cfme-gemset/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/routing/route_set.rb:608:in `call'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'
/opt/rh/cfme-gemset/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/etag.rb:23:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/conditionalget.rb:35:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/head.rb:14:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/flash.rb:242:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:210:in `context'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:205:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/cookies.rb:341:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/query_cache.rb:64:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `_run__2893257653703961284__call__783865525926904521__callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/logger.rb:32:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/logger.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/request_id.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/methodoverride.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/runtime.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/activesupport/lib/active_support/cache/strategy/local_cache.rb:72:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/lock.rb:15:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/actionpack/lib/action_dispatch/middleware/static.rb:63:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/engine.rb:484:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/application.rb:231:in `call'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/content_length.rb:14:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/rack/log_tailer.rb:17:in `call'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:80:in `block in pre_process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `catch'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:78:in `pre_process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:53:in `process'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/connection.rb:38:in `receive_data'
/opt/rh/ruby200/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/ruby200/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/backends/base.rb:61:in `start'
/opt/rh/ruby200/root/usr/share/gems/gems/thin-1.3.1/lib/thin/server.rb:159:in `start'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/handler/thin.rb:13:in `run'
/opt/rh/cfme-gemset/gems/rack-1.4.7/lib/rack/server.rb:268:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands/server.rb:70:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:55:in `block in <top (required)>'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:50:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-4842a8377644/railties/lib/rails/commands.rb:50:in `<top (required)>'
script/rails:6:in `require'
script/rails:6:in `<main>'
Comment 2 Aziza Karol 2015-09-15 03:29:15 EDT
This issue also exists in 5.3.
Comment 3 Dávid Halász 2015-09-15 12:00:39 EDT
Fixed by: https://github.com/ManageIQ/manageiq/pull/4357
Comment 4 CFME Bot 2015-09-15 12:46:28 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/6b67822845e863a515bc935984e67cd2ee6b26b6

commit 6b67822845e863a515bc935984e67cd2ee6b26b6
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Sep 15 16:29:53 2015 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Sep 15 16:32:51 2015 +0200

    Fix for ap_set_record_vars_set when description or name is empty
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263073

 .../ops_controller/settings/analysis_profiles.rb      |  4 ++--
 .../ops_controller/settings/analysis_profiles_spec.rb | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)
 create mode 100644 spec/controllers/ops_controller/settings/analysis_profiles_spec.rb
Comment 6 CFME Bot 2015-09-15 12:46:48 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 8 CFME Bot 2015-09-15 12:52:01 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 10 CFME Bot 2015-09-15 14:35:04 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 12 CFME Bot 2015-09-15 14:35:42 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 13 CFME Bot 2015-09-15 14:36:05 EDT
New commit detected on ManageIQ/manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/6b67822845e863a515bc935984e67cd2ee6b26b6

commit 6b67822845e863a515bc935984e67cd2ee6b26b6
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Sep 15 16:29:53 2015 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Sep 15 16:32:51 2015 +0200

    Fix for ap_set_record_vars_set when description or name is empty
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263073

 .../ops_controller/settings/analysis_profiles.rb      |  4 ++--
 .../ops_controller/settings/analysis_profiles_spec.rb | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)
 create mode 100644 spec/controllers/ops_controller/settings/analysis_profiles_spec.rb
Comment 14 CFME Bot 2015-09-15 14:36:15 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/6b67822845e863a515bc935984e67cd2ee6b26b6

commit 6b67822845e863a515bc935984e67cd2ee6b26b6
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Sep 15 16:29:53 2015 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Sep 15 16:32:51 2015 +0200

    Fix for ap_set_record_vars_set when description or name is empty
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263073

 .../ops_controller/settings/analysis_profiles.rb      |  4 ++--
 .../ops_controller/settings/analysis_profiles_spec.rb | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)
 create mode 100644 spec/controllers/ops_controller/settings/analysis_profiles_spec.rb
Comment 15 CFME Bot 2015-09-15 14:37:22 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 16 CFME Bot 2015-09-15 14:45:40 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 17 CFME Bot 2015-09-15 14:46:14 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 18 CFME Bot 2015-09-15 14:46:39 EDT
New commit detected on ManageIQ/manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/6b67822845e863a515bc935984e67cd2ee6b26b6

commit 6b67822845e863a515bc935984e67cd2ee6b26b6
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Sep 15 16:29:53 2015 +0200
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Sep 15 16:32:51 2015 +0200

    Fix for ap_set_record_vars_set when description or name is empty
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1263073

 .../ops_controller/settings/analysis_profiles.rb      |  4 ++--
 .../ops_controller/settings/analysis_profiles_spec.rb | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)
 create mode 100644 spec/controllers/ops_controller/settings/analysis_profiles_spec.rb
Comment 19 Aziza Karol 2015-10-21 00:54:42 EDT
This issue is still reproducible on version 5.5.0.6-beta1.2.20151014155446_ed40d96
Comment 20 Dávid Halász 2015-10-26 05:14:51 EDT
https://github.com/ManageIQ/manageiq/pull/5011
Comment 21 Aziza Karol 2015-10-29 07:47:35 EDT
Able to create vm analysis profile by selecting a category.

Verified Version:
5.5.0.8-beta1.4.20151027164951_4ab7fea
Comment 23 errata-xmlrpc 2015-12-08 08:30:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551
Comment 25 CFME Bot 2016-02-09 12:43:44 EST
Detected commit referencing this ticket while ticket status is CLOSED.

Note You need to log in before you can comment on or make changes to this bug.